These docs are for v2.0.1. Click to read the latest docs for v3.0.2.

/userFundingHistory

Retrieves user funding history on exchange.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Client Library

import { Networks, BluefinClient, MARKET_SYMBOLS } from "@bluefin-exchange/bluefin-v2-client";

async function main() {
  const ed25519Wallet =
    "trigger swim reunion gate hen black real deer light nature trial dust";
  const client = new BluefinClient(
    true,
    Networks.TESTNET_SUI,
    ed25519Wallet,
    "ED25519"
  );
  await client.init();

  const resp = await client.getUserFundingHistory({
    symbol: MARKET_SYMBOLS.BTC,
  });
  console.log(resp.data);
}

main().then().catch(console.warn);
from config import TEST_ACCT_KEY, TEST_NETWORK
import asyncio
from pprint import pprint
from bluefin_v2_client import (
    BluefinClient,
    Networks,
    MARKET_SYMBOLS,
)


async def main():
    client = BluefinClient(True, Networks[TEST_NETWORK], TEST_ACCT_KEY)
    await client.init(True)

    orders = await client.get_funding_history(
        {
            "symbol": MARKET_SYMBOLS.ETH,
        },
    )
    pprint(orders)


if __name__ == "__main__":
    loop = asyncio.new_event_loop()
    loop.run_until_complete(main())
    loop.close()

HTTPs

Alternatively, if you have obtained your auth token, call the GET /userFundingHistory endpoint using the integrated editor on the right or locally from any language supporting HTTPs network calls.

Request & Response

Query Params
double

The number of records required per page.
The exchange server allows a maximum of 50 records per page.

double

The particular page number to be fetched

string

The market symbol for which the user wishes to get funding history.
If not provided, the funding history of all markets will be fetched

string

Used to fetch funding history as a sub-account.

Responses

400
Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json